openSUSE: 2022:0021-1 important: libvirt

Advisories


   openSUSE Security Update: Security update for libvirt
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:0021-1
Rating:             important
References:         #1191668 #1192017 #1193623 #1193719 #1193981 
                    #1194041 
Cross-References:   CVE-2021-4147
CVSS scores:
                    CVE-2021-4147 (SUSE): 7.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that solves one vulnerability and has 5 fixes is
   now available.

Description:

   This update for libvirt fixes the following issues:

   - CVE-2021-4147: libxl: Fix libvirtd deadlocks and segfaults. (bsc#1194041)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-21=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libvirt-7.1.0-6.11.1
      libvirt-admin-7.1.0-6.11.1
      libvirt-admin-debuginfo-7.1.0-6.11.1
      libvirt-client-7.1.0-6.11.1
      libvirt-client-debuginfo-7.1.0-6.11.1
      libvirt-daemon-7.1.0-6.11.1
      libvirt-daemon-config-network-7.1.0-6.11.1
      libvirt-daemon-config-nwfilter-7.1.0-6.11.1
      libvirt-daemon-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-interface-7.1.0-6.11.1
      libvirt-daemon-driver-interface-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-lxc-7.1.0-6.11.1
      libvirt-daemon-driver-lxc-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-network-7.1.0-6.11.1
      libvirt-daemon-driver-network-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-nodedev-7.1.0-6.11.1
      libvirt-daemon-driver-nodedev-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-nwfilter-7.1.0-6.11.1
      libvirt-daemon-driver-nwfilter-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-qemu-7.1.0-6.11.1
      libvirt-daemon-driver-qemu-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-secret-7.1.0-6.11.1
      libvirt-daemon-driver-secret-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-7.1.0-6.11.1
      libvirt-daemon-driver-storage-core-7.1.0-6.11.1
      libvirt-daemon-driver-storage-core-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-disk-7.1.0-6.11.1
      libvirt-daemon-driver-storage-disk-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-gluster-7.1.0-6.11.1
      libvirt-daemon-driver-storage-gluster-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-iscsi-7.1.0-6.11.1
      libvirt-daemon-driver-storage-iscsi-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-iscsi-direct-7.1.0-6.11.1
      libvirt-daemon-driver-storage-iscsi-direct-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-logical-7.1.0-6.11.1
      libvirt-daemon-driver-storage-logical-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-mpath-7.1.0-6.11.1
      libvirt-daemon-driver-storage-mpath-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-storage-scsi-7.1.0-6.11.1
      libvirt-daemon-driver-storage-scsi-debuginfo-7.1.0-6.11.1
      libvirt-daemon-hooks-7.1.0-6.11.1
      libvirt-daemon-lxc-7.1.0-6.11.1
      libvirt-daemon-qemu-7.1.0-6.11.1
      libvirt-debugsource-7.1.0-6.11.1
      libvirt-devel-7.1.0-6.11.1
      libvirt-libs-7.1.0-6.11.1
      libvirt-libs-debuginfo-7.1.0-6.11.1
      libvirt-lock-sanlock-7.1.0-6.11.1
      libvirt-lock-sanlock-debuginfo-7.1.0-6.11.1
      libvirt-nss-7.1.0-6.11.1
      libvirt-nss-debuginfo-7.1.0-6.11.1
      wireshark-plugin-libvirt-7.1.0-6.11.1
      wireshark-plugin-libvirt-debuginfo-7.1.0-6.11.1

   - openSUSE Leap 15.3 (aarch64 x86_64):

      libvirt-daemon-driver-storage-rbd-7.1.0-6.11.1
      libvirt-daemon-driver-storage-rbd-debuginfo-7.1.0-6.11.1

   - openSUSE Leap 15.3 (noarch):

      libvirt-bash-completion-7.1.0-6.11.1
      libvirt-doc-7.1.0-6.11.1

   - openSUSE Leap 15.3 (x86_64):

      libvirt-client-32bit-debuginfo-7.1.0-6.11.1
      libvirt-daemon-driver-libxl-7.1.0-6.11.1
      libvirt-daemon-driver-libxl-debuginfo-7.1.0-6.11.1
      libvirt-daemon-xen-7.1.0-6.11.1
      libvirt-devel-32bit-7.1.0-6.11.1


References:

   https://www.suse.com/security/cve/CVE-2021-4147.html
   https://bugzilla.suse.com/1191668
   https://bugzilla.suse.com/1192017
   https://bugzilla.suse.com/1193623
   https://bugzilla.suse.com/1193719
   https://bugzilla.suse.com/1193981
   https://bugzilla.suse.com/1194041

openSUSE: 2022:0021-1 important: libvirt

January 4, 2022
An update that solves one vulnerability and has 5 fixes is now available

Description

This update for libvirt fixes the following issues: - CVE-2021-4147: libxl: Fix libvirtd deadlocks and segfaults. (bsc#1194041)

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-21=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libvirt-7.1.0-6.11.1 libvirt-admin-7.1.0-6.11.1 libvirt-admin-debuginfo-7.1.0-6.11.1 libvirt-client-7.1.0-6.11.1 libvirt-client-debuginfo-7.1.0-6.11.1 libvirt-daemon-7.1.0-6.11.1 libvirt-daemon-config-network-7.1.0-6.11.1 libvirt-daemon-config-nwfilter-7.1.0-6.11.1 libvirt-daemon-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-interface-7.1.0-6.11.1 libvirt-daemon-driver-interface-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-lxc-7.1.0-6.11.1 libvirt-daemon-driver-lxc-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-network-7.1.0-6.11.1 libvirt-daemon-driver-network-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-nodedev-7.1.0-6.11.1 libvirt-daemon-driver-nodedev-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-nwfilter-7.1.0-6.11.1 libvirt-daemon-driver-nwfilter-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-qemu-7.1.0-6.11.1 libvirt-daemon-driver-qemu-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-secret-7.1.0-6.11.1 libvirt-daemon-driver-secret-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-7.1.0-6.11.1 libvirt-daemon-driver-storage-core-7.1.0-6.11.1 libvirt-daemon-driver-storage-core-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-disk-7.1.0-6.11.1 libvirt-daemon-driver-storage-disk-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-gluster-7.1.0-6.11.1 libvirt-daemon-driver-storage-gluster-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-iscsi-7.1.0-6.11.1 libvirt-daemon-driver-storage-iscsi-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-iscsi-direct-7.1.0-6.11.1 libvirt-daemon-driver-storage-iscsi-direct-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-logical-7.1.0-6.11.1 libvirt-daemon-driver-storage-logical-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-mpath-7.1.0-6.11.1 libvirt-daemon-driver-storage-mpath-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-storage-scsi-7.1.0-6.11.1 libvirt-daemon-driver-storage-scsi-debuginfo-7.1.0-6.11.1 libvirt-daemon-hooks-7.1.0-6.11.1 libvirt-daemon-lxc-7.1.0-6.11.1 libvirt-daemon-qemu-7.1.0-6.11.1 libvirt-debugsource-7.1.0-6.11.1 libvirt-devel-7.1.0-6.11.1 libvirt-libs-7.1.0-6.11.1 libvirt-libs-debuginfo-7.1.0-6.11.1 libvirt-lock-sanlock-7.1.0-6.11.1 libvirt-lock-sanlock-debuginfo-7.1.0-6.11.1 libvirt-nss-7.1.0-6.11.1 libvirt-nss-debuginfo-7.1.0-6.11.1 wireshark-plugin-libvirt-7.1.0-6.11.1 wireshark-plugin-libvirt-debuginfo-7.1.0-6.11.1 - openSUSE Leap 15.3 (aarch64 x86_64): libvirt-daemon-driver-storage-rbd-7.1.0-6.11.1 libvirt-daemon-driver-storage-rbd-debuginfo-7.1.0-6.11.1 - openSUSE Leap 15.3 (noarch): libvirt-bash-completion-7.1.0-6.11.1 libvirt-doc-7.1.0-6.11.1 - openSUSE Leap 15.3 (x86_64): libvirt-client-32bit-debuginfo-7.1.0-6.11.1 libvirt-daemon-driver-libxl-7.1.0-6.11.1 libvirt-daemon-driver-libxl-debuginfo-7.1.0-6.11.1 libvirt-daemon-xen-7.1.0-6.11.1 libvirt-devel-32bit-7.1.0-6.11.1

References

https://www.suse.com/security/cve/CVE-2021-4147.html https://bugzilla.suse.com/1191668 https://bugzilla.suse.com/1192017 https://bugzilla.suse.com/1193623 https://bugzilla.suse.com/1193719 https://bugzilla.suse.com/1193981 https://bugzilla.suse.com/1194041

Severity
Announcement ID: openSUSE-SU-2022:0021-1
Rating: important
Affected Products: openSUSE Leap 15.3 ble.

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.